package com.huatek.frame.base.mapper;

import com.github.pagehelper.Page;
import com.huatek.frame.base.dto.DictionnaireDetailDTO;
import com.huatek.frame.base.entity.DictionnaireDetail;
import com.huatek.frame.base.vo.DictionnaireDetailVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 系统_字典明细 Mapper
 *
 * @author key_dong
 * @date 2018-7-11 14:03:45
 */

@Repository
public interface DictionnaireDetailMapper {

	/**
	 * 分页查询 系统_字典明细
	 *
	 * @param dto
	 *            dto
	 * @return Page Page
	 */
	Page<DictionnaireDetailVO> selectDictionnaireDetailPage(DictionnaireDetailDTO dto);

	DictionnaireDetailVO findByUnit(@Param("unit") String unit, @Param("dictKey") String dictKey);

	DictionnaireDetailVO findByDCode(@Param("dCode") String dCode, @Param("dictKey") String dictKey);

	DictionnaireDetailDTO findMaxDcodeByCode(@Param("dictKey") String dictKey);

	DictionnaireDetailDTO findMaxDcodeByPId(@Param("pId") String pId);

	int insert(DictionnaireDetail dictionnaireDetail);

	DictionnaireDetailVO findByValue(@Param("pId") String pId, @Param("value") String value);

	List<DictionnaireDetailVO> findByCode(@Param("code") String code);

	List<DictionnaireDetailVO> findByLikeDName(@Param("dictKey") String dictKey, @Param("dName") String dName);

    String findUnit(@Param("code") String code, @Param("dCode") String dCode);
}
